Skip to main content
GET
Get a plan by Code

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Path Parameters

plan_code
string
required

The code of the plan

Response

A plan object

id
string

Unique identifier of the plan. This ID is used internally to track the plan and cannot be modified.

Example:

"1a901a90-1a90-1a90-1a540-1a901a901a90"

name
string
code
string
billing_cycle
enum<string>

The billing cycle indicating how often the subscription is charged

Available options:
WEEKLY,
MONTHLY,
QUARTERLY,
YEARLY
Example:

"MONTHLY"

description
string
amount
object
trial_period
integer
pay_in_advance
boolean
taxes
object[]

List of tax entities configured for the plan.

usage_based_charges
object[]
minimum_commitment
object

Minimum commitment for this plan.

created_at
string<date-time>

Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"